### Method

# Ide Workbench open_all_async

#### Declaration

    void
    ide_workbench_open_all_async (
      IdeWorkbench* self,
      GFile** files,
      guint n_files,
      const gchar* hint,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests that the workbench open all of the `GFile` denoted by `files`.

If `hint` is provided, that will be used to determine what workbench addin to use when opening the file. The `hint` name should match the module name of the plugin.

Call `ide_workbench_open_finish()` from `callback` to complete this operation.

Available since: | 3.32

#### Parameters

`files` | An array of `GFile*`
| An array of `GFile`.
| The length of the array is specified in the `n_files` argument.
| The data is owned by the caller of the function.
`n_files` | `guint`
| Number of `GFiles` contained in `files`.
`hint` | `const gchar*`
| An optional hint about what addin to use.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.